Bug 7816 - use encoding(UTF-8) not utf-8 for output streams
Summary: use encoding(UTF-8) not utf-8 for output streams
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Colin Campbell
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on: 6679
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 14:12 UTC by Colin Campbell
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (984 bytes, patch)
2012-03-23 14:14 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 7816 :[SIGNED-OFF] Encode output as utf-8 dont just flag it as such (1.04 KB, patch)
2012-04-06 11:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-03-23 14:12:31 UTC
Setting :utf-8 on output streams flags the stream as unicode but does not ensure output is encoded as such using ':encoding(UTF-8) is the correct call.

Fixed already in most files authorities/ysearch.pl reintroduces a case of not using encoding and causes make test to fail if TEST_QA is set
Comment 1 Colin Campbell 2012-03-23 14:14:35 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-04-06 11:50:25 UTC
Created attachment 8947 [details] [review]
Bug 7816 :[SIGNED-OFF] Encode output as utf-8 dont just flag it as such

Before the patch:
% perlcritic authorities/ysearch.pl
I/O layer ":utf8" used at line 38, column 1.  Use ":encoding(UTF-8)" to get strict validation.  (Severity: 5)

After:
% perlcritic authorities/ysearch.pl
authorities/ysearch.pl source OK
Comment 3 Ian Walls 2012-04-06 22:15:20 UTC
Encoding fix to authorities/ysearch.pl.  Marking Passed QA
Comment 4 Jared Camins-Esakov 2012-12-31 00:55:52 UTC
There have been no further reports of problems so I am marking this bug resolved.